Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Standard clarification required Estimated time: 0.00 hour

Target version:
ID: 20 To discuss in WG10:

Source: IOP_2013 Short Proposal: Implementations shall support the
configuration and subscription of a
DataSet that contains any of the basic
dataTypes defined in IEC 61850-7-2.
Additionally, DataSets
configuration/subscription shall be
allowed for FCDAs whose semantics the
IED does not understand. However, in
this case, the IED shall not be required
to take action on the FCDA. Subscribed
basic DataTypes whose conversion to
internal representation does not support
the full range of allowed values (e.g.
INT64 to INT32 --full range) shall not be
allowed to be defined as an extRef. We
have to revise the PICS to expose the
information.

TF Unique ID: 20 # I0OP_2013 Standard(s): IEC 61850-6

WG10 Proposal: According to Cathedral City meeting (ref. | Needs More
to UFTF-CathedralMOM20160219) this | Information:
issue is closed.

Estimated Assigned TF:
Completion:

Discuss in Upcoming No
Meeting:

Description

During GOOSE testing, an SCL GOCB was properly configured. However, the importer refused the file since some of the dataTypes
of the DataSet members were not natively processed by the IED.

Also, During GOOSE testing, GOOSE messages were being transmitted and received. However, some of the DataSet member data
could not be processed or displayed.

There is no mechanism to declare what data types are supported within SCL. A subset of mandatory supported data types needs to
be defined or all data types need to be supported.

History

#1 - 02/03/2021 04:00 PM - Herbert Falk
- Priority changed from Normal to High

#2 - 02/05/2021 07:04 AM - Carlos Rodriguez del Castillo
- Status changed from New to Closed

- Short Proposal changed from Implementations shall support the configuration and subscription of a DataSet that contains any of the basic dataTypes
defined in IEC 61850-7-2. Additionally, DataSets configuration/subscription shall be allowed for FCDAs whose semantics the IED does not
understand. However, in this case, the IED shall not be required to take action on the FCDA. Subscribed basic DataTypes whose conversion to
internal representation does not support the full range of allowed values (e.g. INT64 to INT32 --full range) shall not be allowed to be defined as an
extRef. We have to revise the PICS to expose the information.

to Implementations shall support the configuration and subscription of a DataSet that contains any of the basic dataTypes defined in IEC 61850-7-2.
Additionally, DataSets configuration/subscription shall be allowed for FCDAs whose semantics the IED does not understand. However, in this case,
the IED shall not be required to take action on the FCDA. Subscribed basic DataTypes whose conversion to internal representation does not support
the full range of allowed values (e.g. INT64 to INT32 --full range) shall not be allowed to be defined as an extRef. We have to revise the PICS to
expose the information.

#3 - 02/09/2021 06:11 AM - Carlos Rodriguez del Castillo

- Subject changed from During GOOSE testing, an SCL GOCB was properly configured. However, the importer refused the file since some of the
dataTypes of to GOOSE suscription: managing data types in datasets

#4 - 02/11/2021 05:48 AM - Carlos Rodriguez del Castillo
- Description updated
- Standard(s) set to IEC 61850-6

- Discuss in Upcoming Meeting set to No

#5 - 02/11/2021 05:56 AM - Carlos Rodriguez del Castillo

- Tracker changed from Bug to Feature

Checking done.
